<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Audio zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 590 && $_SESSION['UserRechte'] >= 600 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 

    echo "<table style=\"padding:0; margin:0; width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    
    echo "<form method=\"post\" name=\"addAudio\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:20%;\" class=\"description_Bearbeitung\">Empfohlene Audioformate</td>";
    echo "<td style=\"width:60%;\" class=\"description_Bearbeitung_rechts\">Dolby Surround Pro Logic, Dolby Surround Pro Logic II, Dolby Digital (AC-3), Dolby Digital Surround - EX, Dolby TrueHD, DTS, DTS ES, DTS Neo:6, DTS 96/24, DTS-HD Master Audio, DVD Audio, SACD, MPEG 2 Audio, MPEG-1 Audio Layer 3, </td>";
    echo "</tr>";
    echo "</table>";

    echo "<br />";
    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";


    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Neues Audioformat einf&uuml;gen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"AudioName\" maxlength=\"55\" />";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"hinzuf&uuml;gen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"addAudio\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"renameAudio\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Audioformat umbenennen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">";
    echo "<select class=\"select\" name=\"setAudioID\">";
    $sql = "SELECT * FROM $myDB->AUDIO";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['AudioPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['AudioID']}\">{$row['Bezeichnung']}</option>";
    echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
    echo "</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"AudioName\" maxlength=\"55\" />";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameAudio\" value=\"1\" />";
    echo "</form>";
    
    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"istStandardAudio\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Standard festlegen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";

    echo "<select class=\"select\" name=\"setAudioID\">";
    $sql = "SELECT * FROM $myDB->AUDIO";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['AudioPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        if ( $row['istStandard'] == 0 )
            echo "<option value=\"{$row['AudioID']}\">{$row['Bezeichnung']}</option>";
        else
            echo "<option value=\"{$row['AudioID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"Standard\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"istStandardAudio\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"deleteAudio\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Audioformat l&ouml;schen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<select class=\"select\" name=\"setAudioID\">";
    $sql = "SELECT * FROM $myDB->AUDIO";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['AudioPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['AudioID']}\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmitWarning\" style=\"vertical-align:middle\" value=\"l&ouml;schen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"deleteAudio\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    // Nur Superadmin hat das Recht, Privilegien zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<form method=\"post\" name=\"PrivilegAudio\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo $var;

        echo "<table class=\"table\">";
        echo "<tr>";
        echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Privilegien &auml;ndern</td>";
        echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">";
        echo "<select class=\"select\" name=\"setAudioID\">";
        $sql = "SELECT * FROM $myDB->AUDIO";
        if ( $_SESSION['UserRechte'] == 600 )
            $sql .= " WHERE brauchtPrivileg<=".$_SESSION['AudioPrivileg'];
        $sql .= " ORDER BY Bezeichnung";
        $rs = $myDB->go($sql);
        while( $row = $myDB->getRow($rs) )
            echo "<option value=\"{$row['AudioID']}\">{$row['Bezeichnung']}: {$row['brauchtPrivileg']}</option>";
        echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
        echo "</td>";
        echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"text\" class=\"input_kurz\" name=\"brauchtPrivileg\" maxlength=\"2\" />";
        echo "</td>";
        echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"&auml;ndern\" />";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
        echo "<input type=\"hidden\" name=\"PrivilegAudio\" value=\"1\" />";
        echo "</form>";
    }

    echo "</td>";
    echo "</tr>";
    echo "</table>";

}

?>
