<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Audio zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 590 && isset($_POST['sent']) && $_SESSION['UserRechte'] >= 600 )
{
    if ( isset($_POST['AudioName']) )
    {
        if ( strlen($_REQUEST['AudioName']) <= 2 )
            $myVar->warnung[] = "Ung&uuml;ltiger Name. Mindestens drei Zeichen";
        else
        {
            // HTML-Zeichen konventieren
            $AudioName = htmlentities( $_REQUEST['AudioName'] );
            
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->AUDIO WHERE Bezeichnung = '$AudioName'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['ANZ'] > 0 )
                $myVar->warnung[] = "Audioformat existiert bereits! Vorgang ung&uuml;ltig!";
            else if ( isset($_REQUEST['addAudio']) )
            {
                $sql = "INSERT INTO $myDB->AUDIO (Bezeichnung, brauchtPrivileg) VALUES ('$AudioName', 1)";
                $myDB->go($sql);
                $id = mysql_insert_id();
                
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->AUDIO WHERE istStandard = 1";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] == 0 )
                {
                    $sql = "UPDATE $myDB->AUDIO SET istStandard = 1 WHERE AudioID = $id";
                    $myDB->go($sql);
                }
                else
                {
                    $sql = "UPDATE $myDB->AUDIO SET istStandard = 0 WHERE AudioID = $id";
                    $myDB->go($sql);
                }
            }
            else if ( isset($_REQUEST['renameAudio']) )
            {
                $sql = "UPDATE $myDB->AUDIO SET Bezeichnung = '$AudioName' WHERE AudioID = {$_REQUEST['setAudioID']}";
                $myDB->go($sql);
            }
        }
    }
    
    if ( isset($_REQUEST['istStandardAudio']) )
    {
        $sql = "UPDATE $myDB->AUDIO SET istStandard = 1 WHERE AudioID = {$_REQUEST['setAudioID']}";
        $rs = $myDB->go($sql);
        
        $sql = "UPDATE $myDB->AUDIO SET istStandard = 0 WHERE AudioID != {$_REQUEST['setAudioID']}";
        $rs = $myDB->go($sql);
    }
    
    if ( isset($_REQUEST['renameAudioID']) )
    {
        $newAudioID = (int) $_REQUEST['newAudioID'];
        
        if ( $newAudioID <= 0 )
            $myVar->hinweis[] = "Dies ist eine ung&uuml;ltige ID!";
        else
        {
            $sql = "SELECT COUNT(*) AS Anz FROM $myDB->AUDIO WHERE AudioID=$newAudioID";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['Anz'] != 0 )
                $myVar->warnung[] = "AudioID kann nicht umbenannt werden, da ID <strong>$newAudioID</strong> bereits existiert.";
            else
            {
                $sql = "UPDATE $myDB->AUDIO SET AudioID=$newAudioID WHERE AudioID = {$_REQUEST['setAudioID']}";
                $rs = $myDB->go($sql);
                
                $myVar->erfolg[] = "Die alte AudioID {$_REQUEST['setAudioID']} wurde in <strong>$newAudioID</strong> umbenannt!";
                
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME WHERE AUDIO_AudioID={$_REQUEST['setAudioID']}";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] != 0 )
                {
                    $sql = "UPDATE $myDB->FILME SET AUDIO_AudioID=$newAudioID WHERE AUDIO_AudioID = {$_REQUEST['setAudioID']}";
                    $rs = $myDB->go($sql);
                    $myVar->erfolg[] = "Es wurden {$row['Anz']} FilmID's ge&auml;ndert!";
                }
            }
        }
    }
    
    if ( isset($_REQUEST['PrivilegAudio']) )
    {
        // brauchtPrivileg kontrollieren
        if ( (int)$_REQUEST['brauchtPrivileg'] >= 0 && (int)$_REQUEST['brauchtPrivileg'] <= 99 )
             $brauchtPrivileg = (int)$_REQUEST['brauchtPrivileg'];
        else
            $brauchtPrivileg = 1;
        if ( $_REQUEST['brauchtPrivileg'] == '' )
            $brauchtPrivileg = 1;
        
        $sql = "UPDATE $myDB->AUDIO SET brauchtPrivileg = $brauchtPrivileg WHERE AudioID = {$_REQUEST['setAudioID']}";
        $rs = $myDB->go($sql);
    }
    
    if ( isset($_REQUEST['deleteAudio']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME WHERE AUDIO_AudioID = {$_REQUEST['setAudioID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['ANZ'] > 0 )
            $myVar->hinweis[] = "Dieses Audioformat enth&auml;lt noch {$row['ANZ']} Zuordnungen. Kann nicht gel&ouml;scht werden!";
        else
        {
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->AUDIO WHERE AudioID != {$_REQUEST['setAudioID']}";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            if ( $row['ANZ'] == 0 )
                $myVar->hinweis[] = "Audioformat kann nicht gel&ouml;scht werden, da es die Einzigste ist!";
            else
            {
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->AUDIO WHERE AudioID = {$_REQUEST['setAudioID']} AND istStandard=1";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] == 1 )
                	$myVar->hinweis[] = "Audioformat kann nicht gel&ouml;scht werden, da diese als Standard deklariert ist!";
                else
                {
                	$sql = "DELETE FROM $myDB->AUDIO WHERE AudioID = {$_REQUEST['setAudioID']}";
                	$myDB->go($sql);
                }
            }
        }
    }
}

?>
